%define setools_maj_ver 3.3
%define setools_min_ver 8

%define setoolsdir %{_datadir}/setools-%{setools_maj_ver}
%define tcllibdir %{_libdir}/setools

%define major 1
%define libname %mklibname setools %{major}
%define devname %mklibname setools -d

%bcond_without tcl

Summary:	Policy analysis tools for SELinux
Name:		setools
Version:	%{setools_maj_ver}.%{setools_min_ver}
Release:	11
License:	GPLv2+
Group:		System/Base
Url:		http://oss.tresys.com/projects/setools
Source0:	http://oss.tresys.com/projects/setools/chrome/site/dists/%{name}-%{version}/%{name}-%{version}.tar.bz2
Source1:	setools.pam
Source2:	apol.desktop
Source3:	seaudit.desktop
Patch1:		0001-Since-we-do-not-ship-neverallow-rules-all-always-fai.patch
Patch2:		0002-Fix-sepol-calls-to-work-with-latest-libsepol.patch
Patch4:		0004-Apply-selinux_current_policy_path-patch.patch
Patch5:		0005-Apply-seaudit-patch-for-progress.c.patch
Patch6:		0006-Add-support-for-boolean-subs.patch
Patch7:		0007-Setools-noship.patch
Patch8:		0008-Add-alias-support-to-seinfo-t.patch
Patch9:		0009-Fix-help-message-on-sesearch-D.patch
Patch11:	0011-Fix-Wformat-security-issues.patch
Patch12:	0012-Fix-configure.ac-to-use-SWIG-3.0.0.patch
Patch14:	0014-Fix-swig-2.0.7.patch
Patch15:	0015-Fix-swig-makefile.patch
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	swig
BuildRequires:	bzip2-devel
BuildRequires:	selinux-devel
BuildRequires:	sepol-devel
BuildRequires:	bzip2
BuildRequires:	tcl-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tk)
Requires:	%{name}-console = %{EVRD}
Requires:	%{name}-gui = %{EVRD}
Requires:	%{name}-tcl = %{EVRD}

%description
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This meta-package depends upon the main packages necessary to run
SETools.

%files

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Policy analysis support libraries for SELinux
License:	LGPLv2.1+
Group:		System/Libraries
Requires:	sqlite3-tools
Provides:	libsetools = %{EVRD}

%description -n %{libname}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following run-time libraries:

  libapol       policy analysis library
  libpoldiff    semantic policy difference library
  libqpol       library that abstracts policy internals
  libseaudit    parse and filter SELinux audit messages in log files
  libsefs       SELinux file contexts library

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING COPYING.GPL COPYING.LGPL KNOWN-BUGS NEWS README
%{_libdir}/libqpol.so.*
%{_libdir}/libapol.so.*
%{_libdir}/libpoldiff.so.*
%{_libdir}/libsefs.so.*
%{_libdir}/libseaudit.so.*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Policy analysis development files for SELinux
License:	LGPLv2.1+
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 3.3.7-26
Obsoletes:	%{name}-devel < 3.3.7-26

%description -n %{devname}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes header files and archives for the following
libraries:

  libapol       policy analysis library
  libpoldiff    semantic policy difference library
  libqpol       library that abstracts policy internals
  libseaudit    parse and filter SELinux audit messages in log files
  libsefs       SELinux file contexts library

%files -n %{devname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/qpol/
%{_includedir}/apol/
%{_includedir}/poldiff/
%{_includedir}/seaudit/
%{_includedir}/sefs/

#----------------------------------------------------------------------------

%package	python
License:	LGPLv2
Summary:	Python bindings for SELinux policy analysis
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release} python bzip2

%description python
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes Python bindings for the following libraries:

  libapol       policy analysis library
  libpoldiff    semantic policy difference library
  libqpol       library that abstracts policy internals
  libseaudit    parse and filter SELinux audit messages in log files
  libsefs       SELinux file contexts library

%files python
%defattr(-,root,root,-)
%{py_platsitedir}/setools/
%{py_platsitedir}/*.egg-info
%ifarch x86_64
%{py_puresitedir}/setools/ 
%endif
%
#----------------------------------------------------------------------------

%if %{with tcl}
%package tcl
Summary:	Tcl bindings for SELinux policy analysis
License:	LGPLv2+
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	tcl

%description tcl
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes Tcl bindings for the following libraries:

  libapol       policy analysis library
  libpoldiff    semantic policy difference library
  libqpol       library that abstracts policy internals
  libseaudit    parse and filter SELinux audit messages in log files
  libsefs       SELinux file contexts library

%files tcl
%dir %{tcllibdir}
%{tcllibdir}/qpol/
%{tcllibdir}/apol/
%{tcllibdir}/poldiff/
%{tcllibdir}/seaudit/
%{tcllibdir}/sefs/
%endif
#----------------------------------------------------------------------------

%package console
Summary:	Policy analysis command-line tools for SELinux
License:	GPLv2+
Group:		System/Base
Requires:	%{libname} = %{EVRD}

%description console
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following console tools:

  seaudit-report  audit log analysis tool
  sechecker       SELinux policy checking tool
  secmds          command line tools: seinfo, sesearch, findcon,
                  replcon, and indexcon
  sediff          semantic policy difference tool

%files console
%{_bindir}/seinfo
%{_bindir}/sesearch
%{_bindir}/sediff
%{_bindir}/seaudit
%{_mandir}/man1/sediff.1.xz
%{_mandir}/man1/seinfo.1.xz
%{_mandir}/man1/sesearch.1.xz
%{_mandir}/man8/seaudit.8.xz

#----------------------------------------------------------------------------

%package gui
Summary:	Policy analysis graphical tools for SELinux
Group:		System/Base
Requires:	%{libname} = %{EVRD}
Requires:	%{name}-tcl = %{EVRD}
Requires:	bwidget
Requires:	tcl
Requires:	tk
Requires:	usermode

%description gui
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following graphical tools:

  apol          policy analysis tool
  seaudit       audit log analysis tool

%files gui
%{_bindir}/apol
%{tcllibdir}/apol_tcl/
%{setoolsdir}/apol_help.txt
%{setoolsdir}/domaintrans_help.txt
%{setoolsdir}/file_relabel_help.txt
%{setoolsdir}/infoflow_help.txt
%{setoolsdir}/types_relation_help.txt
%{setoolsdir}/apol_perm_mapping_*
%{setoolsdir}/seaudit_help.txt
%{setoolsdir}/*.glade
%{setoolsdir}/*.png
%{setoolsdir}/apol.gif
%{setoolsdir}/dot_seaudit
%{_mandir}/man1/apol.1.xz
%{_sbindir}/seaudit
%config(noreplace) %{_sysconfdir}/pam.d/seaudit
%config(noreplace) %{_sysconfdir}/security/console.apps/seaudit
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

autoreconf -fi

%build
%configure \
	--disable-bwidget-check \
	--disable-selinux-check \
	--enable-shared \
	--enable-swig-python \
	--enable-swig-tcl 

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/seaudit
install -d -m 755 %{buildroot}%{_sysconfdir}/security/console.apps
install -p -m 644 packages/rpm/seaudit.console %{buildroot}%{_sysconfdir}/security/console.apps/seaudit
install -d -m 755 %{buildroot}%{_datadir}/applications
install -p -m 644 apol/apol.png %{buildroot}%{_datadir}/pixmaps/apol.png
install -p -m 644 seaudit/seaudit.png %{buildroot}%{_datadir}/pixmaps/seaudit.png
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE2} %{SOURCE3}
ln -sf consolehelper %{buildroot}/%{_bindir}/seaudit

# remove static libs
rm -f %{buildroot}/%{_libdir}/*.a


%changelog

* Fri Oct 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.3.8-11
- (e098397) Drop sediffx icon and desktop file because there's no more such binary provided


